## org.apache.poi.hssf.record
Class AxisOptionsRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.AxisOptionsRecord

public class AxisOptionsRecord
extends Record

The axis options record provides unit information and other various tidbits about the axis. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Andrew C. Oliver(acoliver at apache.org)

Field Summary
`static short` `sid`

Constructor Summary
`AxisOptionsRecord()`
`AxisOptionsRecord(short id, short size, byte[] data)` Constructs a AxisOptions record and sets its fields appropriately.
`AxisOptionsRecord(short id, short size, byte[] data, int offset)` Constructs a AxisOptions record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getBaseUnit()` Get the base unit field for the AxisOptions record.
`short` `getCrossingPoint()` Get the crossing point field for the AxisOptions record.
`short` `getMajorUnit()` Get the major unit field for the AxisOptions record.
`short` `getMajorUnitValue()` Get the major unit value field for the AxisOptions record.
`short` `getMaximumCategory()` Get the maximum category field for the AxisOptions record.
`short` `getMinimumCategory()` Get the minimum category field for the AxisOptions record.
`short` `getMinorUnit()` Get the minor unit field for the AxisOptions record.
`short` `getMinorUnitValue()` Get the minor unit value field for the AxisOptions record.
`short` `getOptions()` Get the options field for the AxisOptions record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`boolean` `isDefaultBase()` use the default base unit
`boolean` `isDefaultCross()` use the default crossing point
`boolean` `isDefaultDateSettings()` use default date setttings for this axis
`boolean` `isDefaultMajor()` use the default major unit
`boolean` `isDefaultMaximum()` use the default maximum category
`boolean` `isDefaultMinimum()` use the default minimum category
`boolean` `isDefaultMinorUnit()` use the default minor unit
`boolean` `isIsDate()` this is a date axis
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setBaseUnit(short field_7_baseUnit)` Set the base unit field for the AxisOptions record.
`void` `setCrossingPoint(short field_8_crossingPoint)` Set the crossing point field for the AxisOptions record.
`void` `setDefaultBase(boolean value)` Sets the default base field value.
`void` `setDefaultCross(boolean value)` Sets the default cross field value.
`void` `setDefaultDateSettings(boolean value)` Sets the default date settings field value.
`void` `setDefaultMajor(boolean value)` Sets the default major field value.
`void` `setDefaultMaximum(boolean value)` Sets the default maximum field value.
`void` `setDefaultMinimum(boolean value)` Sets the default minimum field value.
`void` `setDefaultMinorUnit(boolean value)` Sets the default minor unit field value.
`void` `setIsDate(boolean value)` Sets the isDate field value.
`void` `setMajorUnit(short field_4_majorUnit)` Set the major unit field for the AxisOptions record.
`void` `setMajorUnitValue(short field_3_majorUnitValue)` Set the major unit value field for the AxisOptions record.
`void` `setMaximumCategory(short field_2_maximumCategory)` Set the maximum category field for the AxisOptions record.
`void` `setMinimumCategory(short field_1_minimumCategory)` Set the minimum category field for the AxisOptions record.
`void` `setMinorUnit(short field_6_minorUnit)` Set the minor unit field for the AxisOptions record.
`void` `setMinorUnitValue(short field_5_minorUnitValue)` Set the minor unit value field for the AxisOptions record.
`void` `setOptions(short field_9_options)` Set the options field for the AxisOptions record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### AxisOptionsRecord

    public AxisOptionsRecord()

### AxisOptionsRecord

    public AxisOptionsRecord(short id,
                             short size,
                             byte[] data)

  Constructs a AxisOptions record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1062 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### AxisOptionsRecord

    public AxisOptionsRecord(short id,
                             short size,
                             byte[] data,
                             int offset)

  Constructs a AxisOptions record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1062 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getMinimumCategory

    public short getMinimumCategory()

  Get the minimum category field for the AxisOptions record.

### setMinimumCategory

    public void setMinimumCategory(short field_1_minimumCategory)

  Set the minimum category field for the AxisOptions record.

### getMaximumCategory

    public short getMaximumCategory()

  Get the maximum category field for the AxisOptions record.

### setMaximumCategory

    public void setMaximumCategory(short field_2_maximumCategory)

  Set the maximum category field for the AxisOptions record.

### getMajorUnitValue

    public short getMajorUnitValue()

  Get the major unit value field for the AxisOptions record.

### setMajorUnitValue

    public void setMajorUnitValue(short field_3_majorUnitValue)

  Set the major unit value field for the AxisOptions record.

### getMajorUnit

    public short getMajorUnit()

  Get the major unit field for the AxisOptions record.

### setMajorUnit

    public void setMajorUnit(short field_4_majorUnit)

  Set the major unit field for the AxisOptions record.

### getMinorUnitValue

    public short getMinorUnitValue()

  Get the minor unit value field for the AxisOptions record.

### setMinorUnitValue

    public void setMinorUnitValue(short field_5_minorUnitValue)

  Set the minor unit value field for the AxisOptions record.

### getMinorUnit

    public short getMinorUnit()

  Get the minor unit field for the AxisOptions record.

### setMinorUnit

    public void setMinorUnit(short field_6_minorUnit)

  Set the minor unit field for the AxisOptions record.

### getBaseUnit

    public short getBaseUnit()

  Get the base unit field for the AxisOptions record.

### setBaseUnit

    public void setBaseUnit(short field_7_baseUnit)

  Set the base unit field for the AxisOptions record.

### getCrossingPoint

    public short getCrossingPoint()

  Get the crossing point field for the AxisOptions record.

### setCrossingPoint

    public void setCrossingPoint(short field_8_crossingPoint)

  Set the crossing point field for the AxisOptions record.

### getOptions

    public short getOptions()

  Get the options field for the AxisOptions record.

### setOptions

    public void setOptions(short field_9_options)

  Set the options field for the AxisOptions record.

### setDefaultMinimum

    public void setDefaultMinimum(boolean value)

  Sets the default minimum field value. use the default minimum category

### isDefaultMinimum

    public boolean isDefaultMinimum()

  use the default minimum category

  Returns:
    the default minimum field value.

### setDefaultMaximum

    public void setDefaultMaximum(boolean value)

  Sets the default maximum field value. use the default maximum category

### isDefaultMaximum

    public boolean isDefaultMaximum()

  use the default maximum category

  Returns:
    the default maximum field value.

### setDefaultMajor

    public void setDefaultMajor(boolean value)

  Sets the default major field value. use the default major unit

### isDefaultMajor

    public boolean isDefaultMajor()

  use the default major unit

  Returns:
    the default major field value.

### setDefaultMinorUnit

    public void setDefaultMinorUnit(boolean value)

  Sets the default minor unit field value. use the default minor unit

### isDefaultMinorUnit

    public boolean isDefaultMinorUnit()

  use the default minor unit

  Returns:
    the default minor unit field value.

### setIsDate

    public void setIsDate(boolean value)

  Sets the isDate field value. this is a date axis

### isIsDate

    public boolean isIsDate()

  this is a date axis

  Returns:
    the isDate field value.

### setDefaultBase

    public void setDefaultBase(boolean value)

  Sets the default base field value. use the default base unit

### isDefaultBase

    public boolean isDefaultBase()

  use the default base unit

  Returns:
    the default base field value.

### setDefaultCross

    public void setDefaultCross(boolean value)

  Sets the default cross field value. use the default crossing point

### isDefaultCross

    public boolean isDefaultCross()

  use the default crossing point

  Returns:
    the default cross field value.

### setDefaultDateSettings

    public void setDefaultDateSettings(boolean value)

  Sets the default date settings field value. use default date setttings for this axis

### isDefaultDateSettings

    public boolean isDefaultDateSettings()

  use default date setttings for this axis

  Returns:
    the default date settings field value.

Copyright © 2003 Apache Software Foundation.